Create tasks for assets

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /actions/projects/{project_id}/task-types/{task_type_id}/assets/create-tasks

Create a task of the task type for each asset of the list. If the body is empty, the route uses the assets of the project that match the query parameters, for example asset_type_id. The identifiers of assets of another project are skipped. A task that exists is skipped, as well as an asset whose asset type workflow excludes the task type. You must be a manager of the project.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

  • task_type_id string(uuid) Required

    Unique identifier of the task type

application/json

Body

array[string(uuid)] array[string(uuid)]

List of asset IDs to create tasks for

Responses

  • 201 application/json

    The new tasks

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • task_type_id string(uuid)
    • task_status_id string(uuid)
    • entity_id string(uuid)
    • project_id string(uuid)
  • 400

    The body is not a list of valid identifiers

  • 404

    The project or the task type does not exist

  • 403

    You are not a manager of the project

POST /actions/projects/{project_id}/task-types/{task_type_id}/assets/create-tasks
curl -X POST "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/a24a6ea4-ce75-4665-a070-57453082c25/assets/create-tasks" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '[
  ""
]'
import requests

url = "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/a24a6ea4-ce75-4665-a070-57453082c25/assets/create-tasks"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = [
    ""
]

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request example
[
  "b24a6ea4-ce75-4665-a070-57453082c250"
]
Response examples (201)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "Asset Modeling",
    "task_type_id": "b24a6ea4-ce75-4665-a070-57453082c250",
    "task_status_id": "c24a6ea4-ce75-4665-a070-57453082c250",
    "entity_id": "d24a6ea4-ce75-4665-a070-57453082c250",
    "project_id": "e24a6ea4-ce75-4665-a070-57453082c250"
  }
]